diff --git a/functional/SceneGraphTests/src/test/scenegraph/lcd/TestCollections.java b/functional/SceneGraphTests/src/test/scenegraph/lcd/TestCollections.java
--- a/functional/SceneGraphTests/src/test/scenegraph/lcd/TestCollections.java
+++ b/functional/SceneGraphTests/src/test/scenegraph/lcd/TestCollections.java
@@ -68,16 +68,7 @@
     Lighting(EffectTestAction.generate(new Lighting(), true)),
     MotionBlur(EffectTestAction.generate(new MotionBlur(), true)),
     PerspectiveTransform(EffectTestAction.generate(
-            PerspectiveTransformBuilder.create()
-            .ulx(10.0)
-            .uly(10.0)
-            .urx(100.0)
-            .ury(40.0)
-            .lrx(100.0)
-            .lry(60.0)
-            .llx(10.0)
-            .lly(90.0)
-            .build(), false)),
+            new PerspectiveTransform(10.0, 10.0, 100.0, 40.0, 100.0, 60.0, 10.0, 90.0), false)),
     Reflection(EffectTestAction.generate(new Reflection(), true)),
     SepiaTone(EffectTestAction.generate(new SepiaTone(), true)),
     Shadow(EffectTestAction.generate(new Shadow(), true))
diff --git a/functional/SceneGraphTests/src/test/scenegraph/lcd/animation/AnimationLCDTextTestApp.java b/functional/SceneGraphTests/src/test/scenegraph/lcd/animation/AnimationLCDTextTestApp.java
--- a/functional/SceneGraphTests/src/test/scenegraph/lcd/animation/AnimationLCDTextTestApp.java
+++ b/functional/SceneGraphTests/src/test/scenegraph/lcd/animation/AnimationLCDTextTestApp.java
@@ -7,25 +7,20 @@
 import javafx.animation.Interpolator;
 import javafx.animation.KeyFrame;
 import javafx.animation.KeyValue;
-import javafx.animation.TimelineBuilder;
+import javafx.animation.Timeline;
 import javafx.application.Application;
 import javafx.collections.FXCollections;
 import javafx.event.EventHandler;
 import javafx.scene.Scene;
 import javafx.scene.control.ChoiceBox;
-import javafx.scene.control.ChoiceBoxBuilder;
 import javafx.scene.control.TextArea;
-import javafx.scene.control.TextAreaBuilder;
 import javafx.scene.input.MouseEvent;
 import javafx.scene.layout.Pane;
-import javafx.scene.layout.PaneBuilder;
-import javafx.scene.layout.VBoxBuilder;
+import javafx.scene.layout.VBox;
 import javafx.scene.paint.Color;
 import javafx.scene.shape.Circle;
-import javafx.scene.shape.CircleBuilder;
 import javafx.scene.text.FontSmoothingType;
 import javafx.scene.text.Text;
-import javafx.scene.text.TextBuilder;
 import javafx.stage.Stage;
 import javafx.util.Duration;
 import test.javaclient.shared.Utils;
@@ -48,11 +43,9 @@
     public void start(Stage primaryStage) {
 
 
-        final TextArea testText = TextAreaBuilder.create()
-                .text("Test")
-                .prefHeight(50)
-                .prefWidth(500)
-                .build();
+        final TextArea testText = new TextArea("Test");
+        testText.setPrefHeight(50);
+        testText.setPrefWidth(500);
 
         final ChoiceBox<Interpolator> interpolatorChoiceBox = new ChoiceBox<Interpolator>();
         interpolatorChoiceBox.getItems().addAll(FXCollections.observableArrayList(
@@ -68,56 +61,34 @@
         interpolatorChoiceBox.getSelectionModel().selectFirst();
 
 
-        final Text lcdText = TextBuilder.create()
-                .x(100)
-                .y(100)
-                .fontSmoothingType(FontSmoothingType.LCD)
-                .build();
-
+        final Text lcdText = new Text();
+        lcdText.setX(100);
+        lcdText.setY(100);
+        lcdText.setFontSmoothingType(FontSmoothingType.LCD);
         lcdText.textProperty().bind(testText.textProperty());
 
-        final Circle point = CircleBuilder.create()
-                .centerX(100)
-                .centerY(100)
-                .radius(2)
-                .fill(Color.RED)
-                .build();
+        final Circle point = new Circle(100, 100, 2, Color.RED);
 
-        Pane root = VBoxBuilder.create()
-                .children(
-                    PaneBuilder.create()
-                    .minWidth(500)
-                    .minHeight(500)
-                    .children(
-                        lcdText,
-                        point)
-                    .onMouseClicked(new EventHandler<MouseEvent>() {
-
+        Pane temp = new Pane(lcdText, point);
+        temp.setMinWidth(500);
+        temp.setMinHeight(500);
+        temp.setOnMouseClicked(new EventHandler<MouseEvent>() {
                         @Override
                         public void handle(MouseEvent event) {
                             point.setCenterX(event.getX());
                             point.setCenterY(event.getY());
 
-                            TimelineBuilder.create()
-                                .keyFrames(
+                new Timeline(
                                     new KeyFrame(Duration.seconds(5),
                                         new KeyValue(lcdText.xProperty(), event.getX(),
                                             interpolatorChoiceBox.getSelectionModel().getSelectedItem())),
                                     new KeyFrame(Duration.seconds(5),
                                         new KeyValue(lcdText.yProperty(), event.getY(),
                                             interpolatorChoiceBox.getSelectionModel().getSelectedItem()))
-                                    )
-                                .build()
-                                .play();
+                ).play();
                         }
-                    })
-                    .build(),
-                    testText,
-                    interpolatorChoiceBox)
-                .build();
-
-
-
+        });
+        Pane root = new VBox(temp, testText, interpolatorChoiceBox);
         Scene scene = new Scene(root, 500, 575);
 
         primaryStage.setTitle("Test Animnation LCD Text");
diff --git a/functional/SceneGraphTests/src/test/scenegraph/lcd/controls/Factories.java b/functional/SceneGraphTests/src/test/scenegraph/lcd/controls/Factories.java
--- a/functional/SceneGraphTests/src/test/scenegraph/lcd/controls/Factories.java
+++ b/functional/SceneGraphTests/src/test/scenegraph/lcd/controls/Factories.java
@@ -54,11 +54,10 @@
 
         @Override
         public Parent createControl() {
-            return TextFieldBuilder.create()
-                    .text("Test")
-                    .maxHeight(25)
-                    .maxWidth(50)
-                    .build();
+            TextField temp = new TextField("Test");
+            temp.setMaxHeight(25);
+            temp.setMaxWidth(50);
+            return temp;
         }
     }),
     Radio(new DefaultFactory() {
@@ -91,36 +90,27 @@
 
         @Override
         public Parent createControl() {
-            return TitledPaneBuilder.create()
-                    .text("Test")
-                    .maxWidth(200)
-                    .maxHeight(200)
-                    .build();
+            TitledPane temp = new TitledPane();
+            temp.setText("Test");
+            temp.setMaxWidth(200);
+            temp.setMaxHeight(200);
+            return temp;
         }
     }),
     ToolBar(new DefaultFactory() {
 
         @Override
         public Parent createControl() {
-            return new ToolBar(ButtonBuilder.create().text("Test").build());
+            return new ToolBar(new Button("Test"));
         }
     }),
     Menu(new DefaultFactory() {
 
         @Override
         public Parent createControl() {
-
-            return MenuBarBuilder.create()
-                    .menus(
-                        MenuBuilder.create()
-                        .text("Text1")
-                        .items(
-                            MenuItemBuilder
-                            .create()
-                            .text("Text2")
-                            .build())
-                        .build())
-                    .build();
+            Menu m = new Menu("Text1");
+            m.getItems().addAll(new MenuItem("Text2"));
+            return new MenuBar(m);
         }
     }), ListView(new DefaultFactory() {
 
@@ -159,31 +149,25 @@
 
         @Override
         public Parent createControl() {
-            TitledPane expandedPane = TitledPaneBuilder.create()
-                    .text("Test1")
-                    .content(new Button("Test3"))
-                    .build();
-            return AccordionBuilder.create()
-                    .maxHeight(200)
-                    .maxWidth(200)
-                    .panes(expandedPane,
-                    TitledPaneBuilder.create()
-                            .text("Test2")
-                            .build())
-                    .expandedPane(expandedPane)
-                    .build();
+            TitledPane expandedPane = new TitledPane("Test1", new Button("Test3"));
+            TitledPane otherPane = new TitledPane();
+            otherPane.setText("Test2");
+            Accordion temp = new Accordion(expandedPane, otherPane);
+            temp.setMaxHeight(200);
+            temp.setMaxWidth(200);
+            temp.setExpandedPane(expandedPane);
+            return temp;
         }
     }),
     Slider(new DefaultFactory() {
 
         @Override
         public Parent createControl() {
-            Parent value = SliderBuilder.create()
-                    .showTickLabels(true)
-                    .showTickMarks(true)
-                    .maxWidth(150)
-                    .id("TestSlider")
-                    .build();
+            Parent value = new Slider();
+            ((Slider)value).setShowTickLabels(true);
+            ((Slider)value).setShowTickMarks(true);
+            ((Slider)value).setMaxWidth(150);
+            value.setId("TestSlider");
             return value;
         }
     }),
@@ -191,11 +175,10 @@
 
         @Override
         public Parent createControl() {
-            return ProgressIndicatorBuilder.create()
-                    .maxHeight(50)
-                    .maxWidth(50)
-                    .progress(0.02)
-                    .build();
+            ProgressIndicator temp = new ProgressIndicator(0.02);
+            temp.setMaxHeight(50);
+            temp.setMaxWidth(50);
+            return temp;
         }
     })
     ;
